Bug 592931 - SELinux is preventing /usr/local/bin/wine-preloader from loading /home/nocountryman/.wine/drive_c/windows/system32/gecko/1.0.0/wine_gecko/xul.dll which requires text relocation.
SELinux is preventing /usr/local/bin/wine-preloader from loading /home/nocoun...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:b8552c1e1b6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 08:07 EDT by Gleb Sharkunov
Modified: 2010-09-06 06:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 08:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gleb Sharkunov 2010-05-17 08:07:29 EDT
Summary:

SELinux is preventing /usr/local/bin/wine-preloader from loading
/home/nocountryman/.wine/drive_c/windows/system32/gecko/1.0.0/wine_gecko/xul.dll
which requires text relocation.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

The Installer.exe application attempted to load
/home/nocountryman/.wine/drive_c/windows/system32/gecko/1.0.0/wine_gecko/xul.dll
which requires text relocation. This is a potential security problem. Most
libraries do not need this permission. Libraries are sometimes coded incorrectly
and request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/home/nocountryman/.wine/drive_c/windows/system32/gecko/1.0.0/wine_gecko/xul.dll
to use relocation as a workaround, until the library is fixed. Please file a bug
report.

Allowing Access:

If you trust
/home/nocountryman/.wine/drive_c/windows/system32/gecko/1.0.0/wine_gecko/xul.dll
to run correctly, you can change the file context to textrel_shlib_t. "chcon -t
textrel_shlib_t
'/home/nocountryman/.wine/drive_c/windows/system32/gecko/1.0.0/wine_gecko/xul.dll'"
You must also change the default file context files on the system in order to
preserve them even on a full relabel. "semanage fcontext -a -t textrel_shlib_t
'/home/nocountryman/.wine/drive_c/windows/system32/gecko/1.0.0/wine_gecko/xul.dll'"

Fix Command:

chcon -t textrel_shlib_t
'/home/nocountryman/.wine/drive_c/windows/system32/gecko/1.0.0/wine_gecko/xul.dll'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/nocountryman/.wine/drive_c/windows/system32/
                              gecko/1.0.0/wine_gecko/xul.dll [ file ]
Source                        rundll32.exe
Source Path                   /usr/local/bin/wine-preloader
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-10.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.3-85.fc13.i686.PAE #1 SMP
                              Thu May 6 18:27:11 UTC 2010 i686 i686
Alert Count                   4
First Seen                    Mon 17 May 2010 01:46:54 PM EEST
Last Seen                     Mon 17 May 2010 02:34:24 PM EEST
Local ID                      dec5bb8b-1bb6-4853-8a63-38b40723956b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274096064.746:23655): avc:  denied  { execmod } for  pid=24217 comm="Installer.exe" path="/home/nocountryman/.wine/drive_c/windows/system32/gecko/1.0.0/wine_gecko/xul.dll" dev=sda3 ino=132559 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1274096064.746:23655): arch=40000003 syscall=125 success=yes exit=0 a0=ab00000 a1=1000 a2=5 a3=0 items=0 ppid=1 pid=24217 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="Installer.exe" exe="/usr/local/bin/wine-preloader" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  allow_execmod,rundll32.exe,unconfined_t,user_home_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
#!!!! This avc can be allowed using the boolean 'allow_execmod'

allow unconfined_t user_home_t:file execmod;
Comment 1 Daniel Walsh 2010-05-17 08:39:52 EDT
Please either use the chcon command in the alert or turn this check off.

# setsebool -P allow_execmod 1

Note You need to log in before you can comment on or make changes to this bug.